Subject: Re: bug#52899: guix home configure with herd reconfigure bug

From: Ludovic Courtès <[email-masked]>
Date: Mon, 24 Jan 2022 15:24:45 +0100

Hi,

Florian Hoertlehner <[email-masked]> skribis:

> I have a guix home configuration with herd services (mcron jobs).
> When I run guix home reconfigure, and the user herd daemon is
> running, then I get the following errors:
>
> herd: exception caught while executing 'load' on service 'root':
> In procedure fport_write: Broken pipe
>
> When I run the SAME reconfigure command, but BEFORE running
> it executing herd stop root. THEN I do not get this error, and the services
> do appear correctly.

Can you still reproduce it?  If so, could you share (1) all the output
of ‘guix home reconfigure’, in particular what showed up before
“exception caught”, and (2) the relevant part of your Home config?

Thanks in advance,
Ludo’.